=== modified file 'Makefile.am'
--- Makefile.am	2010-10-05 13:52:09 +0000
+++ Makefile.am	2010-10-07 16:04:50 +0000
@@ -45,6 +45,7 @@
 	-e 's|\@GETTEXT_PACKAGE\@|$(GETTEXT_PACKAGE)|g' \
 	-e 's|\@SSO_APP_NAME\@|$(SSO_APP_NAME)|g' \
 	-e 's|\@SSO_TC_URL\@|$(SSO_TC_URL)|g' \
+	-e 's|\@SSO_PING_URL\@|$(SSO_PING_URL)|g' \
 	-e 's|\@VERSION\@|$(VERSION)|g' < $< > $@
 
 pylintrc: Makefile

=== modified file 'configure.ac'
--- configure.ac	2010-10-05 13:52:09 +0000
+++ configure.ac	2010-10-07 16:04:50 +0000
@@ -203,9 +203,11 @@
 
 dnl Strings to pass to SSO data
 SSO_APP_NAME="Ubuntu One"
-SSO_TC_URL="https://one.ubuntu.com/terms"
+SSO_TC_URL="https://one.ubuntu.com/terms/"
+SSO_PING_URL="https://one.ubuntu.com/oauth/sso-finished-so-get-tokens/"
 AC_SUBST(SSO_APP_NAME)
 AC_SUBST(SSO_TC_URL)
+AC_SUBST(SSO_PING_URL)
 
 AC_CONFIG_FILES([
 Makefile

=== modified file 'libsyncdaemon/Makefile.am'
--- libsyncdaemon/Makefile.am	2010-10-05 13:52:09 +0000
+++ libsyncdaemon/Makefile.am	2010-10-07 16:04:50 +0000
@@ -8,6 +8,7 @@
 	-DGNOMELOCALEDIR=\""$(datadir)/locale"\"	\
 	-DSSO_APP_NAME=\""$(SSO_APP_NAME)"\"		\
 	-DSSO_TC_URL=\""$(SSO_TC_URL)"\"		\
+	-DSSO_PING_URL=\""$(SSO_PING_URL)"\"		\
 	-I$(top_srcdir)					\
 	$(DBUS_CFLAGS)
 

=== modified file 'ubuntuone/clientdefs.py.in'
--- ubuntuone/clientdefs.py.in	2010-10-05 13:52:09 +0000
+++ ubuntuone/clientdefs.py.in	2010-10-07 16:04:50 +0000
@@ -35,4 +35,5 @@
 
 APP_NAME = "@SSO_APP_NAME@"
 TC_URL = "@SSO_TC_URL@"
+PING_URL = "@SSO_PING_URL@"
 DESCRIPTION = _("Ubuntu One requires an Ubuntu Single Sign On (SSO) account. This process will allow you to create a new account, if you do not yet have one.")

=== modified file 'ubuntuone/syncdaemon/dbus_interface.py'
--- ubuntuone/syncdaemon/dbus_interface.py	2010-09-23 21:21:20 +0000
+++ ubuntuone/syncdaemon/dbus_interface.py	2010-10-07 16:04:50 +0000
@@ -66,14 +66,16 @@
     from ubuntuone import clientdefs
     APP_NAME = clientdefs.APP_NAME
     TC_URL = clientdefs.TC_URL
+    PING_URL = clientdefs.PING_URL
     DESCRIPTION = clientdefs.DESCRIPTION
 except ImportError:
     APP_NAME = "Ubuntu One (ImportError mode)"
-    TC_URL = "https://one.ubuntu.com/terms"
+    TC_URL = "https://one.ubuntu.com/terms/"
+    PING_URL = "https://one.ubuntu.com/oauth/sso-finished-so-get-tokens/"
     DESCRIPTION = "Stub used since the real values can't be imported."
-    logger.warning('Can not import APP_NAME, TC_URL, DESCRIPTION.'
-                   'Using stub values (%s, %s, %s).',
-                   APP_NAME, TC_URL, DESCRIPTION)
+    logger.warning('Can not import APP_NAME, TC_URL, PING_URL, DESCRIPTION.'
+                   'Using stub values (%s, %s, %s, %s).',
+                   APP_NAME, TC_URL, PING_URL, DESCRIPTION)
 
 
 class NoAccessToken(Exception):

